/*
 * Handler
 *
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.net.protocol.jarres;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

/**
 * URLStreamHandler for <code>jarres</code> protocol
 *
 * @author Eugene Matyushkin
 * @version 1.0
 */
public class Handler extends URLStreamHandler {

    /**
     * Opens a connection to the object referenced by the URL argument.
     *
     * @param url the URL that this connects to
     *
     * @return a URLConnection object for the URL.
     *
     * @throws IOException if an I/O error occurs while opening the connection.
     */
    protected URLConnection openConnection(URL url) throws IOException {
        return new JarResourceURLConnection(url);
    }

}
