/*
 * GUITester
 *
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.net.protocol.jarres.test;

import javax.swing.*;
import java.awt.*;

/**
 * GUITester
 * <p/>
 * Test application to illustrate custom resource handler usage.
 *
 * @author Eugene Matyushkin
 * @version 0.1a
 */
public class GUITester extends JFrame {

    /**
     * Toltip text with URL with <code>jarres</code> protocol
     */
    public static final String TOOLTIP_TEXT = "<html><center><b>&nbsp;&nbsp;IMAGE below!&nbsp;&nbsp;</b><br>" +
            "<img src=\"jarres:///resources/images/vzhik2.gif\"></center></html>";

    /**
     * Constructs main application window.
     */
    public GUITester() {
        super("JARRES Protocol tester");
        JLabel label = new JLabel("Place mouse pointer over to see tooltip", JLabel.CENTER);
        getContentPane().add(label, BorderLayout.CENTER);
        setSize(300, 200);
        setLocation(300, 200);
        label.setToolTipText(TOOLTIP_TEXT);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        ToolTipManager.sharedInstance().setInitialDelay(500);
        ToolTipManager.sharedInstance().setDismissDelay(10000);
        ToolTipManager.sharedInstance().registerComponent(label);
    }

    /**
     * Application entry point
     *
     * @param args command line arguments
     */
    public static void main(String[] args) {
        JFrame.setDefaultLookAndFeelDecorated(true);
        new GUITester().setVisible(true);
    }

}
